# wxcomponent

`wxcomponent` 是一个[微信开放平台](https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/2.0/product/Third_party_platform_appid.html)的 `go sdk`

## 功能列表
- [x] 授权与Token
  1. 获取验证票据
  2. 启动票据推送服务
  3. 获取令牌
  4. 获取预授权码
  5. 使用授权码获取授权信息
  6. 获取/刷新接口调用令牌
  7. 获取授权帐号信息
  8. 授权变更通知推送
- [ ] openApi管理
- [ ] 第三方平台域名管理
- [ ] 小程序用户隐私保护指引
- [x] 授权方账号管理
  1. 拉取授权方帐号基本信息
  2. 获取授权方选项信息
  3. 设置授权方选项信息
- [ ] 开放平台账号管理
- [ ] 代商家注册小程序
- [ ] 试用小程序
- [ ] 小程序模板管理
- [ ] 小程序基础信息设置
- [ ] 获取小程序码
- [ ] 小程序类目管理
- [ ] 小程序成员管理
- [ ] 小程序代码管理
- [ ] 违规和申诉管理
- [ ] 扫码关注公众号
- [ ] 扫普通链接二维码打开小程序
- [ ] 其他小程序业务接口
- [ ] 其他小程序相关接口
- [ ] 公众号业务相关接口
- [ ] 使用云服务实现业务 (不实现该部分接口)