package wxcomponent

import (
	"gitee.com/yansen_zh/wxcomponent/api/mp/webpage"
	"gitee.com/yansen_zh/wxcomponent/config"
)

// JsapiTicket 代公众号使用js sdk
func JsapiTicket(appID, url string) (*webpage.JsapiSignature, error) {
	ticket, err := webpage.GetJSTicket(config.GetAuthorizer().GetAccessToken(appID))
	if err != nil {
		return nil, err
	}

	signature := webpage.GetJSAPISignature(ticket.Ticket, url)
	return signature, nil
}
